Home assistant not starting after upgrade to 0.83.3 (openZwave problem?)

I just migrated my home assistant configuration from a raspberry pi to a NUC. Everything seemd to work fine, but since I was already a few versions behind (I think I was on 0.81.x) I decided to upgrade to the latest version.

When I now start home assistant, I see these errors in the logs:

Dec 07 11:02:04 nuc hass[440]: 2018-12-07 11:02:04 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=212 from 2018-12-07 09:53:42)
Dec 07 11:02:05 nuc hass[440]: TypeError: expected bytes, NoneType found
Dec 07 11:02:05 nuc hass[440]: Exception ignored in: 'libopenzwave.str_to_cppstr'
Dec 07 11:02:05 nuc hass[440]: TypeError: expected bytes, NoneType found

In the z-wave log I only see:

2018-12-07 11:02:05.561 Always, OpenZwave Version 1.4.3254 Starting Up

After that, I seems like not much is happening, I can’t even connect to the UI with a browser. Any idrea what could be wrong?

Looks like a coding bug to me. I’d suggest to file a bug in Github for HA so the devs can pick it up and tell more

Thanks for the advice, filed the issue here: https://github.com/home-assistant/home-assistant/issues/19088

My issue ended up being related to owntracks:

https://github.com/home-assistant/home-assistant/issues/18809